Bug 1471418 - GDM login loop
GDM login loop
Status: NEW
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-15 16:01 EDT by bodhi.zazen
Modified: 2017-10-16 10:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bodhi.zazen 2017-07-15 16:01:11 EDT
Description of problem: I have a log in loop from gdm

Affects all DE, gnome (wayland), gnome on X session, and lxqt


Version-Release number of selected component (if applicable): 

gdm-3.24.2-1.fc26.x86_64


How reproducible: Always


Steps to Reproduce:
1. Reboot
2. Attempt to log in via GDM


Actual results:

Screen flashes black for about 2 seconds, then returns to log in screen

If I switch to a console, ctrl-alt-F2 , log in as my regular user, and return to GDM I can then log in normally.

Expected results:

Log in works without having to log into console


Additional info:

It does not seem to be a selinux problem as problem persists with selinux in permissive mode

Some logs

Jul 15 12:21:22 daemon audit[1748]: USER_ROLE_CHANGE pid=1748 uid=0 auid=1000 ses=4 subj=system_u:system_r:local_login_t:s0-s0:c0.c1023 msg='pam: default-context=staff_u:staff_r:staff_t:s0 selected-context=staff_u:staff_r:staff_t:s0 exe="/usr/bin/login" hostname=daemon addr=? terminal=tty2 res=success'
Jul 15 12:21:22 daemon systemd[1]: Created slice User Slice of bodhi.
Jul 15 12:21:22 daemon systemd[1]: Starting User Manager for UID 1000...
Jul 15 12:21:22 daemon systemd-logind[964]: New session 4 of user bodhi.
Jul 15 12:21:22 daemon systemd[1]: Started Session 4 of user bodhi.
Jul 15 12:21:22 daemon audit[1760]: USER_ACCT pid=1760 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='op=PAM:accounting grantors=pam_unix,pam_localuser acct="bodhi" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 15 12:21:23 daemon audit[1760]: USER_ROLE_CHANGE pid=1760 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='pam: default-context=staff_u:staff_r:staff_t:s0 selected-context=staff_u:staff_r:staff_t:s0 exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 15 12:21:23 daemon systemd[1760]: pam_unix(systemd-user:session): session opened for user bodhi by (uid=0)
Jul 15 12:21:23 daemon audit[1760]: USER_START pid=1760 uid=0 auid=1000 ses=5 subj=system_u:system_r:init_t:s0 msg='op=PAM:session_open grantors=pam_selinux,pam_selinux,pam_loginuid,pam_keyinit,pam_limits,pam_systemd,pam_unix acct="bodhi" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 15 12:21:23 daemon audit[1760]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=5 subj=staff_u:staff_r:staff_t:s0 pid=1760 comm="systemd" exe="/usr/lib/systemd/systemd" sig=11 res=1
Jul 15 12:21:23 daemon systemd[1766]: pam_unix(systemd-user:session): session closed for user bodhi
Jul 15 12:21:23 daemon audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=user@1000 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Jul 15 12:21:23 daemon audit[1748]: USER_START pid=1748 uid=0 auid=1000 ses=4 subj=system_u:system_r:local_login_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_selinux,pam_loginuid,pam_selinux,pam_namespace,pam_keyinit,pam_keyinit,pam_limits,pam_unix,pam_lastlog acct="bodhi" exe="/usr/bin/login" hostname=daemon addr=? terminal=tty2 res=success'
Jul 15 12:21:23 daemon audit[1748]: CRED_REFR pid=1748 uid=0 auid=1000 ses=4 subj=system_u:system_r:local_login_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_unix acct="bodhi" exe="/usr/bin/login" hostname=daemon addr=? terminal=tty2 res=success'
Jul 15 12:21:23 daemon audit[1748]: USER_LOGIN pid=1748 uid=0 auid=1000 ses=4 subj=system_u:system_r:local_login_t:s0-s0:c0.c1023 msg='op=login id=1000 exe="/usr/bin/login" hostname=daemon addr=? terminal=tty2 res=success'
Jul 15 12:21:23 daemon login[1748]: pam_systemd(login:session): Failed to create session: Start job for unit user@1000.service failed with 'failed'
Jul 15 12:21:23 daemon systemd[1]: Failed to start User Manager for UID 1000.
Comment 1 bodhi.zazen 2017-07-15 16:07:59 EDT
I also have these messages

Jul 15 13:14:05 daemon gdm-password][5112]: pam_systemd(gdm-password:session): Cannot create session: Already occupied by a session
Jul 15 13:14:05 daemon gdm-password][5112]: pam_unix(gdm-password:session): session opened for user bodhi by (uid=0)
Jul 15 13:14:06 daemon gdm-password][5112]: pam_unix(gdm-password:session): session closed for user bodhi
Jul 15 13:14:06 daemon gdm[4330]: GdmDisplay: display lasted 0.194591 seconds
Comment 2 bodhi.zazen 2017-07-17 00:08:16 EDT
It is not a log in loop. 

After logging in screen flashes black and returns to log in screen.

At that time, if I choose shutdown (at GDM screen) it shows I am logged in (asks for confirmation prior to shutdown).

If I switch to console and back - Ctrl-alt-F2 Ctrl-alt-F1 I can then login.

lspci | grep VGA
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Temash [Radeon HD 8250/8280G]

lsmod | grep radeon
radeon               1495040  30
i2c_algo_bit           16384  1 radeon
drm_kms_helper        151552  1 radeon
ttm                    94208  1 radeon
drm                   348160  31 radeon,ttm,drm_kms_helper

Radeon HD 8250 card and radeon (open source) driver.
Comment 3 bodhi.zazen 2017-07-17 23:08:14 EDT
Seems this is a problem with the radeon driver. If I blacklist the radeon driver gdm works as expected.

Can this bug be reassigned to the radeon driver ? Or is it still a gdm bug ?
Comment 4 bodhi.zazen 2017-10-16 10:38:01 EDT
This bug was resolved by an update. Not sure which one as I had not upgraded in a few weeks and had a large package list today.

This bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.